Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IORInterceptor_Adapter Class Reference

TAO_IORInterceptor_Adapter. More...

`#include <IORInterceptor_Adapter.h>`

Inheritance diagram for TAO_IORInterceptor_Adapter:

[legend]
Collaboration diagram for TAO_IORInterceptor_Adapter:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_IORInterceptor_Adapter (void)
virtual void | add_interceptor (PortableInterceptor::IORInterceptor_ptr interceptor ACE_ENV_ARG_DECL)=0 throw (CORBA::SystemException)
virtual void | destroy_interceptors (ACE_ENV_SINGLE_ARG_DECL)=0 throw (CORBA::SystemException)
virtual TAO_IORInterceptor_List * | interceptor_list (void)=0 throw (CORBA::SystemException)

## Detailed Description

TAO_IORInterceptor_Adapter.

Class that adapts various functions involving the PortableInterceptor interfaces IORInfo and IORInterceptor. This is a base class for the actual implementation in the TAO_IORInterceptor library.

## Constructor & Destructor Documentation

TAO_IORInterceptor_Adapter::~TAO_IORInterceptor_Adapter | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO_IORInterceptor_Adapter::add_interceptor | ( | PortableInterceptor::IORInterceptor_ptr interceptor | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[pure virtual]`

virtual void TAO_IORInterceptor_Adapter::destroy_interceptors | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[pure virtual]`

virtual TAO_IORInterceptor_List* TAO_IORInterceptor_Adapter::interceptor_list | ( | void |  | ) | throw (CORBA::SystemException)`[pure virtual]`

The documentation for this class was generated from the following files:

- IORInterceptor_Adapter.h
- IORInterceptor_Adapter.cpp